package hiro.yoshioka.sdh;

import org.eclipse.jface.viewers.IStructuredContentProvider;
import org.eclipse.jface.viewers.Viewer;

public class SDHTableContentProvider implements IStructuredContentProvider {
	public Object[] getElements(Object element) {
		return ((StringRecordDataHolder) element).getStringRecordData();
	}

	public void dispose() {
	}

	public void inputChanged(Viewer viewer, Object old_object, Object new_object) {
	}
}